commit e3f926be483a9c8a0b852fdbca5b4f2ca3df65fc
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Mon Nov 3 01:26:17 2025

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 90fa0bf788b..af8c24da51d 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,25 @@
+2025-11-02  Georg-Johann Lay  <avr@gjlay.de>
+
+	Backported from master:
+	2025-11-02  Georg-Johann Lay  <avr@gjlay.de>
+
+	PR target/122527
+	* config/avr/avr.cc (avr_load_libgcc_p): Return false if
+	the address-space is not ADDR_SPACE_FLASH.
+	(avr_out_lpm_no_lpmx [addr=REG]): Handle sizes of 3 and 4 bytes.
+
+2025-11-02  Georg-Johann Lay  <avr@gjlay.de>
+
+	Backported from master:
+	2025-11-02  Georg-Johann Lay  <avr@gjlay.de>
+
+	PR tree-optimization/118012
+	PR tree-optimization/122505
+	* config/avr/avr.md (mulpsi3): Also allow the insn condition
+	in the case where avropt_pr118012 && !AVR_TINY.
+	(*mulpsi3): Handle split for the !AVR_HAVE_MUL case.
+	(*mulpsi3-nomul.libgcc_split, *mulpsi3-nomul.libgcc): New insns.
+
 2025-10-31  Tamar Christina  <tamar.christina@arm.com>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index befd7357351..2bb6e40da9a 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20251102
+20251103
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index 27614bb4447..8cc3c79e347 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,13 @@
+2025-11-02  Nathaniel Shead  <nathanieloshead@gmail.com>
+
+	Backported from master:
+	2025-11-02  Nathaniel Shead  <nathanieloshead@gmail.com>
+
+	PR c++/122421
+	* module.cc (trees_in::read_var_def): Don't handle class-scope
+	variables anymore.
+	(trees_in::read_class_def): Handle them here instead.
+
 2025-11-01  Nathaniel Shead  <nathanieloshead@gmail.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 91238e7e862..76e16807516 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,12 @@
+2025-11-02  Nathaniel Shead  <nathanieloshead@gmail.com>
+
+	Backported from master:
+	2025-11-02  Nathaniel Shead  <nathanieloshead@gmail.com>
+
+	PR c++/122421
+	* g++.dg/modules/inst-6_a.C: New test.
+	* g++.dg/modules/inst-6_b.C: New test.
+
 2025-11-01  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:

